%global tar_name ndg_httpsclient
Name:           python-%{tar_name}
Version:        0.4.0
Release:        3%{?dist}
Summary:        Provides enhanced HTTPS support for httplib and urllib2 using PyOpenSSL

License:        BSD
URL:            http://ndg-security.ceda.ac.uk/wiki/%{tar_name}/
Source0:        https://pypi.python.org/packages/source/n/ndg-httpsclient/%{tar_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  pyOpenSSL
BuildRequires:  python-setuptools
BuildRequires:  openssl
BuildRequires:  /usr/bin/killall


%description
This is a HTTPS client implementation for httplib and urllib2 based on
PyOpenSSL. PyOpenSSL provides a more fully featured SSL implementation
over the default provided with Python and importantly enables full
verification of the SSL peer.

%package -n python2-ndg_httpsclient
Requires:       pyOpenSSL
Requires:       python-pyasn1
Summary:        %{summary}
Provides:       python-ndg_httpsclient = %{version}-%{release}
Obsoletes:      python-ndg_httpsclient <= 0.4.0-1
%{?python_provide:%python_provide python2-ndg_httpsclient}

%description -n python2-ndg_httpsclient
This is a HTTPS client implementation for httplib and urllib2 based on
PyOpenSSL. PyOpenSSL provides a more fully featured SSL implementation
over the default provided with Python and importantly enables full
verification of the SSL peer. This is the python2 library.

%prep
%setup -n %{tar_name}-%{version}
# Remove bundled egg-info
rm -rf %{tar_name}.egg-info

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%check
pushd ndg/httpsclient/test/
./scripts/openssl_https_server.sh &
sleep 1
# the test suite is not working and we don't know why
# upstream bugtracker is not functional
#for FILE in test_*.py; do
for FILE in test_utils.py; do
  PYTHONPATH=../../.. %{__python} ./$FILE
done

killall openssl

# Make sure the script uses the expected python version
grep -q %{__python} %{buildroot}%{_bindir}/ndg_httpclient

%files -n python2-ndg_httpsclient
%{_bindir}/ndg_httpclient
%{python_sitelib}/ndg
%{python_sitelib}/%{tar_name}-%{version}-py?.?.egg-info
%{python_sitelib}/%{tar_name}-%{version}-py?.?-nspkg.pth

%changelog
* Wed Dec 09 2015 Nick Le Mouton <nick@noodles.net.nz> - 0.4.0-2
- Add el6 support 

* Wed Jul 08 2015 Miro Hrončok <mhroncok@redhat.com> - 0.4.0-1
- Update to 0.4.0

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Oct 14 2014 Miro Hrončok <mhroncok@redhat.com> - 0.3.2-1
- Initial package.
